> ## Documentation Index
> Fetch the complete documentation index at: https://synapse-docs.apart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization



## OpenAPI

````yaml /openapi.json post /v1/organizations
openapi: 3.1.0
info:
  description: Are we on the same page?
  title: Synapse
  version: 0.1.0
servers: []
security: []
paths:
  /v1/organizations:
    post:
      tags:
        - v1 control plane
      summary: Create Organization
      operationId: create_organization_v1_organizations_post
      parameters:
        - in: header
          name: Idempotency-Key
          required: true
          schema:
            maxLength: 255
            minLength: 1
            title: Idempotency-Key
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOrganizationRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationSummary'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
        - SessionCookie: []
components:
  schemas:
    CreateOrganizationRequest:
      properties:
        name:
          maxLength: 255
          minLength: 1
          title: Name
          type: string
        slug:
          maxLength: 128
          minLength: 1
          title: Slug
          type: string
      required:
        - name
        - slug
      title: CreateOrganizationRequest
      type: object
    OrganizationSummary:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        default_context_json:
          additionalProperties: true
          title: Default Context Json
          type: object
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
      required:
        - id
        - slug
        - name
        - default_context_json
        - created_at
      title: OrganizationSummary
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      description: Named syn_ API key or migration-only legacy key.
      scheme: bearer
      type: http
    ApiKeyAuth:
      description: Header alias for a named or legacy API key.
      in: header
      name: X-API-Key
      type: apiKey
    SessionCookie:
      description: Opaque administrator browser session.
      in: cookie
      name: synapse_session
      type: apiKey

````